<template>
    <v-app id="inspire">
        <span class="bg-picture"></span>
        <main-menu />
        <v-content>
            <!-- <transition> -->
            <router-view></router-view>
            <!-- </transition> -->
        </v-content>
        <main-footer />
    </v-app>
</template>

<script>
import MainMenu from './components/MainMenu';
import Footer from './components/Footer';

export default {
    name: 'App',

    components: {
        'main-menu': MainMenu,
        'main-footer': Footer
    },

    data: () => ({
        //
    })
};
</script>

<!--<style>
html,
body,
.v-content {
    overflow: hidden !important;
}
</style>-->
<style>
.bg-picture {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: url('~@/assets/hexagon.jpg') no-repeat center center;
    background-size: cover;
    transform: scale(1.1);
}
</style>
